package com.cloudcross.ssp.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.model.Location;

public interface ILocationService {

	//搜索所有城市
	List<Location>	findAll(String country);
	//搜索省份下的所有城市
	List<Location> findByProvince(String str);
	//根据表里的location_t查找这一行数据
	Location findByLocationT(String locationT);
	
	/**
	 * 根据省和市查找对对应的对象
	 */
	Location findByCnAndCnCity(Map<String, String> paramMap);
	
	/**
	 * 根据省份的名称查找该省份下的所有的城市
	 * @param province
	 * @return
	 */
	List<String> findCityByProvince(String province);
	
	/**
	 * 查找所有的省份
	 * @return
	 */
	List<String> findAllProvince();
}
